thread_win32.h File Reference
`#include <windows.h>`

Go to the source code of this file.

## Data Structures

struct | rb_thread_cond_struct
struct | native_thread_data_struct
struct | rb_global_vm_lock_struct

## Typedefs

typedef HANDLE | rb_thread_id_t
typedef CRITICAL_SECTION | rb_thread_lock_t
typedef struct rb_thread_cond_struct | rb_thread_cond_t
typedef struct native_thread_data_struct | native_thread_data_t
typedef struct rb_global_vm_lock_struct | rb_global_vm_lock_t

## Functions

WINBASEAPI BOOL WINAPI | TryEnterCriticalSection (IN OUT LPCRITICAL_SECTION lpCriticalSection)

## Typedef Documentation

typedef struct native_thread_data_struct native_thread_data_t

typedef struct rb_global_vm_lock_struct rb_global_vm_lock_t

typedef struct rb_thread_cond_struct rb_thread_cond_t

typedef HANDLE rb_thread_id_t

Definition at line 24 of file thread_win32.h.

typedef CRITICAL_SECTION rb_thread_lock_t

Definition at line 25 of file thread_win32.h.

## Function Documentation

WINBASEAPI BOOL WINAPI TryEnterCriticalSection | ( | IN OUT LPCRITICAL_SECTION | lpCriticalSection | ) |